Ogre::Terrain::DerivedDataResponse Struct Reference

A data holder for communicating with the background derived data update. More...

`#include <OgreTerrain.h>`

List of all members.

## Public Attributes

Terrain * | terrain
uint8 | remainingTypeMask
Rect | deltaUpdateRect
Rect | normalUpdateRect
Rect | lightmapUpdateRect
PixelBox * | normalMapBox
PixelBox * | lightMapBox

## Friends

_OgreTerrainExport friend std::ostream & | operator<< (std::ostream &o, const DerivedDataResponse &r)

## Detailed Description

A data holder for communicating with the background derived data update.

Definition at line 1733 of file OgreTerrain.h.

## Friends And Related Function Documentation

_OgreTerrainExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const DerivedDataResponse & | r
| ) |  | `[friend]`

Definition at line 1747 of file OgreTerrain.h.

## Member Data Documentation

Rect Ogre::Terrain::DerivedDataResponse::deltaUpdateRect

Definition at line 1739 of file OgreTerrain.h.

PixelBox* Ogre::Terrain::DerivedDataResponse::lightMapBox

Definition at line 1746 of file OgreTerrain.h.

Rect Ogre::Terrain::DerivedDataResponse::lightmapUpdateRect

Definition at line 1743 of file OgreTerrain.h.

PixelBox* Ogre::Terrain::DerivedDataResponse::normalMapBox

Definition at line 1745 of file OgreTerrain.h.

Rect Ogre::Terrain::DerivedDataResponse::normalUpdateRect

Definition at line 1741 of file OgreTerrain.h.

uint8 Ogre::Terrain::DerivedDataResponse::remainingTypeMask

Definition at line 1737 of file OgreTerrain.h.

Terrain* Ogre::Terrain::DerivedDataResponse::terrain

Definition at line 1735 of file OgreTerrain.h.

The documentation for this struct was generated from the following file:

- OgreTerrain.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:44